%define 	use_gnome 0
Summary:	%{name}
Name:		enlightenment-epplets
Version:	0.8
Release:	1
Copyright:	BSD
Group:		System
URL:		http://www.enlightenment.org
Source0:	epplets.tar.bz2
Source1:	bg.png
Source2:	E-xmms-1.3.1.tar.gz
Source3:	E-Weather-0.4b.tar.gz
Source4:	E-xmms.MAIN
Source5:	E-xmms.icon
Source6:	E-Weather.MAIN
Patch0:		eppletsGL.patch
Patch1:		E-GtkRc.c.patch
Patch2:		E-xmms.diff
Patch3:		E-Weather.diff
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	xmms-devel
Obsoletes:	epplets-base

%description
cvs -d:pserver:anonymous@cvs.enlightenment.sf.net:/cvsroot/enlightenment co e16/epplets

Epplets are small, handy Enlightenment applets, similar to "dockapps"
or "applets" for other packages.  The epplets package contains the
base epplet API library and header files, as well as the core set of
epplets, including CPU monitors, clocks, a mail checker, mixers, a
slideshow, a URL grabber, and more.

%package 	devel
Summary: 	Development
Group: 		Development

%description 	devel
enlightenment-epplets development static / header

%prep
%setup -q -n epplets -a 2 -a 3
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
CFLAGS="${RPM_OPT_FLAGS}"
autoreconf -i -f
configure \
    --prefix=/usr \
    --enable-fsstd \
    --enable-new-remember
make
cd E-xmms*; make clean; make
cd ../E-Weather*; make clean; make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/enlightenment/epplet_data
mkdir -p $RPM_BUILD_ROOT/usr/share/enlightenment/epplet_data/E-xmms/E-xmms.ABOUT
cp %{SOURCE4} $RPM_BUILD_ROOT/usr/share/enlightenment/epplet_data/E-xmms/E-xmms.ABOUT/MAIN
cp %{SOURCE5} $RPM_BUILD_ROOT/usr/share/enlightenment/epplet_icons
cd E-xmms*; cp icons/* $RPM_BUILD_ROOT/usr/share/enlightenment/epplet_data/E-xmms
cp *.epplet $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/enlightenment/epplet_data/E-Weather
mkdir -p $RPM_BUILD_ROOT/usr/share/enlightenment/epplet_icons
cd ../E-Weather*; cp -R E-Weather.ABOUT $RPM_BUILD_ROOT/usr/share/enlightenment/epplet_data/E-Weather
cp E-Weather.icon $RPM_BUILD_ROOT/usr/share/enlightenment/epplet_icons
cp %{SOURCE6} $RPM_BUILD_ROOT/usr/share/enlightenment/epplet_data/E-Weather/E-Weather.ABOUT/MAIN
cp *.epplet $RPM_BUILD_ROOT/usr/bin
cd $RPM_BUILD_ROOT/usr/share/enlightenment/epplet_data/E-xmms/E-xmms.ABOUT; ln -sf ../../bg.png .; ln -sf ../../aircut3.ttf .
cd $RPM_BUILD_ROOT/usr/share/enlightenment/epplet_data/E-Weather/E-Weather.ABOUT; ln -sf ../../bg.png .; ln -sf ../../aircut3.ttf .
cp $RPM_BUILD_ROOT/usr/share/enlightenment/epplet_data/E-ScreenShoot/*.png $RPM_BUILD_ROOT/usr/share/enlightenment/epplet_data/E-ScreenSave

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_bindir}
%{_datadir}

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/*.a
